> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a review embed



## OpenAPI

````yaml /openapi.json get /review_embeds/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /review_embeds/{id}:
    get:
      tags:
        - Review embeds
      summary: Retrieve a review embed
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the review embed
          required: true
      responses:
        '200':
          description: The `ReviewEmbed` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewEmbed'
components:
  schemas:
    ReviewEmbed:
      type: object
      properties:
        id:
          type: string
          description: The ID of the review embed
        url:
          type: string
          description: The URL to embed the review request
        business:
          type: string
          description: The ID of the business
        customer:
          type: string
          nullable: true
          description: The ID of the customer
        review:
          type: string
          nullable: true
          description: The ID of the review
        review_embed_config:
          $ref: '#/components/schemas/ReviewEmbedConfig'
          description: The review embed config
      required:
        - id
        - url
        - business
        - customer
        - review
        - review_embed_config
      title: The Review Embed object
    ReviewEmbedConfig:
      type: object
      properties:
        id:
          type: string
          description: The ID of the review embed config
        title:
          type: string
          description: The title of the review embed
        review_text_prompt:
          type: string
          description: The prompt for the review text
        review_text_placeholder:
          type: string
          description: The placeholder for the review text
        min_stars_to_prompt_review:
          type: integer
          description: The minimum number of stars to prompt for a review
        google_request_review_url:
          type: string
          nullable: true
          description: The URL to request a review from Google
        submit_cta:
          type: string
          description: The text for the submit button
        slug:
          type: string
          description: The unique identifier that appears in the public review URL
        redirect_to_google_request_review_url:
          type: boolean
          description: Whether to redirect directly to the Google review link
        permanent_review_page_url:
          type: string
          description: The permanent review page URL
      required:
        - id
        - title
        - review_text_prompt
        - review_text_placeholder
        - min_stars_to_prompt_review
        - google_request_review_url
        - submit_cta
        - slug
        - redirect_to_google_request_review_url
        - permanent_review_page_url
      title: The Review Embed Config object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````